import request from '@/config/axios'

// 数据大屏 API
export const ScreenApi = {
  // 查询大屏左侧第一个接口
  getLeftFirst: async (params: any) => {
    return await request.get({ url: `/system/big-view-data/getLeftFirst`, params })
  },

  getLeftSecond: async (params: any) => {
    return await request.get({ url: `/system/big-view-data/getLeftSecond`, params })
  },

  getLeftThird: async (params: any) => {
    return await request.get({ url: `/system/big-view-data/getLeftThird`, params })
  },

  getRightFirst: async (params: any) => {
    return await request.get({ url: `/system/big-view-data/getRightFirst`, params })
  },

  getRightSecond: async (params: any) => {
    return await request.get({ url: `/system/big-view-data/getRightSecond`, params })
  },

  getRightThird: async (params: any) => {
    return await request.get({ url: `/system/big-view-data/getRightThird`, params })
  },

  getRightFourth: async (params: any) => {
    return await request.get({ url: `/system/big-view-data/getRightFourth`, params })
  },
  getCenter: async (params: any) => {
    return await request.get({ url: `/system/big-view-data/getCenter`, params })
  },
  /**
   * 获取地图数据
   * @param params
   */
  getMapData: async (params: any) => {
    return await request.get({ url: `/system/big-view-data/getMapData`, params })
  },
  /**
   * 获取空气指标
   */
  getAirData: async (params: any) => {
    return await request.get({ url: `/system/quality-collection/latest`, params })
  }
}
